unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    CheckBox1: TCheckBox;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  Bass;

var
  S: HStream;

procedure TForm1.FormCreate(Sender: TObject);
begin
  BASS_Load(BASS_DLL);
  BASS_Init(1, 44100, 0, Application.Handle, nil);
  BASS_Start;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  BASS_Stop;
  BASS_Free;
  BASS_Unload;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    Button2.Click;
    S := BASS_StreamCreateFile(False, PChar(OpenDialog1.FileName), 0, 0, BASS_STREAM_AUTOFREE);
    if CheckBox1.Checked then
      BASS_StreamPlay(S, False, BASS_SAMPLE_LOOP)
    else
      BASS_StreamPlay(S, False, 0);
  end;
  CheckBox1.Enabled := False;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if S <> 0 then BASS_StreamFree(S);
  CheckBox1.Enabled := True;
end;

end.
